### Constructor

# FwupdPlugin Config new

since: 1.9.1

#### Declaration [src]

    FuConfig*
    fu_config_new (
      FuPathStore* pstore
    )

#### Description [src]

Creates a new `FuConfig`.

Available since: 1.9.1

#### Parameters

`pstore`

  Type: `FuPathStore`

  A `FuPathStore`.

  The data is owned by the caller of the function.

#### Return value

Type: `FuConfig`

A new `FuConfig`.

The caller of the function takes ownership of the data, and is responsible for freeing it.